Gunakan CometAPI POST /mj/submit/action untuk menerapkan aksi Midjourney—upscale, variation, reroll, zoom, dan lainnya—pada gambar yang dihasilkan melalui imaging.
curl --request POST \
--url https://api.cometapi.com/mj/submit/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customId": "MJ::JOB::variation::3::example",
"taskId": "1773314942177684"
}
'{
"code": 123,
"description": "<string>",
"result": "<string>",
"properties": {
"numberOfQueues": 123,
"discordInstanceId": "<string>",
"discordChannelId": "<string>"
}
}taskId dari task Midjourney asli atau yang terbarucustomId dari array buttons terbaru yang dikembalikan oleh Fetch Single TaskcustomId tidak bersifat tetap. Jangan pernah melakukan hardcode padanya. Selalu baca nilainya dari respons polling terbaru.U1 hingga U4: upscale satu gambar dari gridV1 hingga V4: menghasilkan variation dari satu posisi gambarPoll task baru
Tangani aksi khusus modal
MODAL, lanjutkan dengan Modal untuk memberikan input tambahan.Bearer token authentication. Use your CometAPI key.
Action id taken from the latest buttons array returned by the fetch endpoint.
Midjourney task id you want to continue from.
Custom state string. Returned as-is in the task result and webhook callback for your own tracking.
Whether to force remix mode when the current action supports it.
Whether to prefer the same channel account used by the current task.
curl --request POST \
--url https://api.cometapi.com/mj/submit/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customId": "MJ::JOB::variation::3::example",
"taskId": "1773314942177684"
}
'{
"code": 123,
"description": "<string>",
"result": "<string>",
"properties": {
"numberOfQueues": 123,
"discordInstanceId": "<string>",
"discordChannelId": "<string>"
}
}